//: Render an icosahedron
// This renders an icosahedron without using any tessellation
// This is just to get us started and make sure that the basic Metal code
// is working

import Cocoa
import MetalKit
import PlaygroundSupport

// Setup Metal
let device = MTLCreateSystemDefaultDevice()!
let queue = device.makeCommandQueue()!
let frame = NSRect(x: 0, y: 0, width: 600, height: 600)
let metalView = MetalView(frame: frame, device: device)

let renderer = Renderer(device: device)
metalView.delegate = renderer



PlaygroundPage.current.liveView = metalView

